gtkmm: Gtk::ExpressionBase Class Reference

gtkmm 4.14.0

Public Types | Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::ExpressionBase Class Reference

Base class for Gtk::Expression. More...

`#include <gtkmm/expression.h>`

Inheritance diagram for Gtk::ExpressionBase:
[legend]

## Public Types
using | SlotNotify = sigc::slot<void()>
| For instance: void on_notify();.

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GtkExpression * | gobj ()
| Provides access to the underlying C instance.
const GtkExpression * | gobj () const
| Provides access to the underlying C instance.
GtkExpression * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| ExpressionBase ()=delete
| ExpressionBase (const ExpressionBase &)=delete
ExpressionBase & | operator= (const ExpressionBase &)=delete
GType | get_value_type () const
| Gets the `GType` that this expression evaluates to.
bool | is_static () const
| Checks if the expression is static.

## Protected Member Functions
void | operator delete (void *, std::size_t)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::ExpressionBase > | wrap (GtkExpression *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Base class for Gtk::Expression.

See also
  Gtk::Expression

Since gtkmm 3.98

## Member Typedef Documentation

## ◆ SlotNotify

using Gtk::ExpressionBase::SlotNotify = sigc::slot<void()>

For instance: void on_notify();.

Callback called by Gtk::Expression::watch() when the expression value changes.

## Constructor & Destructor Documentation

## ◆ ExpressionBase() [1/2]

Gtk::ExpressionBase::ExpressionBase | ( |  | ) |
| delete

## ◆ ExpressionBase() [2/2]

Gtk::ExpressionBase::ExpressionBase | ( | const ExpressionBase & |  | ) |
| delete

## Member Function Documentation

## ◆ get_value_type()

GType Gtk::ExpressionBase::get_value_type | ( |  | ) | const

Gets the `GType` that this expression evaluates to.

This type is constant and will not change over the lifetime of this expression.

Returns
  The type returned from Gtk::Expression::evaluate().

## ◆ gobj() [1/2]

GtkExpression * Gtk::ExpressionBase::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GtkExpression * Gtk::ExpressionBase::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GtkExpression * Gtk::ExpressionBase::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ is_static()

bool Gtk::ExpressionBase::is_static | ( |  | ) | const

Checks if the expression is static.

A static expression will never change its result when Gtk::Expression::evaluate() is called on it with the same arguments.

That means a call to Gtk::Expression::watch() is not necessary because it will never trigger a notify.

Returns
  `true` if the expression is static.

## ◆ operator delete()

void Gtk::ExpressionBase::operator delete | ( | void * | ,
|  | std::size_t | )
| protected

## ◆ operator=()

ExpressionBase & Gtk::ExpressionBase::operator= | ( | const ExpressionBase & |  | ) |
| delete

## ◆ reference()

void Gtk::ExpressionBase::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unreference()

void Gtk::ExpressionBase::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::ExpressionBase > wrap | ( | GtkExpression * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.